Пропустить и перейти к основному содержимому

Этот браузер больше не поддерживается.

Выполните обновление до Microsoft Edge, чтобы воспользоваться новейшими функциями, обновлениями для системы безопасности и технической поддержкой.

Скачать Microsoft Edge Дополнительные сведения об Internet Explorer и Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Schedules

Get a schedule

GET /schedules/{id}

Retrieves the specified schedule resource.

Параметры запроса

api-version string обязательно

The API version to use for this operation.

Параметры пути

id string обязательно

Identifier of the schedule.

Параметры заголовка

Foundry-Features enum обязательно

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Schedules=V1Preview

Ответы

The request has succeeded.

Текст

Content-Type: application/json
id string обязательно

Identifier of the schedule.

displayName string

Name of the schedule.

description string

Description of the schedule.

enabled boolean обязательно

Enabled status of the schedule.

provisioningStatus string | enum

Schedule provisioning status.

Любое из следующих:
string
enum
CreatingUpdatingDeletingSucceededFailed
trigger Cron | Recurrence | OneTime обязательно

Base model for Trigger of the schedule.

Один из следующих:
Cron CronTrigger

Cron based trigger.

type enum обязательно
Cron
expression string обязательно

Cron expression that defines the schedule frequency.

timeZone string

Time zone for the cron schedule. Defaults to UTC.

startTime string

Start time for the cron schedule in ISO 8601 format.

endTime string

End time for the cron schedule in ISO 8601 format.

Recurrence RecurrenceTrigger

Recurrence based trigger.

type enum обязательно

Type of the trigger.

Recurrence
startTime string

Start time for the recurrence schedule in ISO 8601 format.

endTime string

End time for the recurrence schedule in ISO 8601 format.

timeZone string

Time zone for the recurrence schedule. Defaults to UTC.

interval integer обязательно

Interval for the recurrence schedule.

schedule Hourly | Daily | Weekly | Monthly обязательно

Recurrence schedule model.

Один из следующих:
Hourly HourlyRecurrenceSchedule

Hourly recurrence schedule.

type enum обязательно
Hourly
Daily DailyRecurrenceSchedule

Daily recurrence schedule.

type enum обязательно

Daily recurrence type.

Daily
hours integer[] обязательно

Hours for the recurrence schedule.

Weekly WeeklyRecurrenceSchedule

Weekly recurrence schedule.

type enum обязательно

Weekly recurrence type.

Weekly
daysOfWeek DayOfWeek[] обязательно

Days of the week for the recurrence schedule.

Monthly MonthlyRecurrenceSchedule

Monthly recurrence schedule.

type enum обязательно

Monthly recurrence type.

Monthly
daysOfMonth integer[] обязательно

Days of the month for the recurrence schedule.

OneTime OneTimeTrigger

One-time trigger.

type enum обязательно
OneTime
triggerAt string обязательно

Date and time for the one-time trigger in ISO 8601 format.

timeZone string

Time zone for the one-time trigger. Defaults to UTC.

task Evaluation | Insight обязательно

Schedule task model.

Один из следующих:
Evaluation EvaluationScheduleTask

Evaluation task for the schedule.

type enum обязательно
Evaluation
evalId string обязательно

Identifier of the evaluation group.

evalRun object обязательно

The evaluation run payload.

Insight InsightScheduleTask

Insight task for the schedule.

type enum обязательно
Insight
insight Insight обязательно

The response body for cluster insights.

id string обязательно

The unique identifier for the insights report.

metadata InsightsMetadata обязательно

Metadata about the insights.

createdAt string обязательно

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string обязательно

Enum describing allowed operation states.

Любое из следующих:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string обязательно

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison обязательно

The request of the insights report.

Один из следующих:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum обязательно

The type of insights request.

EvaluationRunClusterInsight
evalId string обязательно

Evaluation Id for the insights.

runIds string[] обязательно

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string обязательно

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum обязательно

The type of request.

AgentClusterInsight
agentName string обязательно

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string обязательно

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum обязательно

The type of request.

EvaluationComparison
evalId string обязательно

Identifier for the evaluation.

baselineRunId string обязательно

The baseline run ID for comparison.

treatmentRunIds string[] обязательно

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Один из следующих:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum обязательно

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] обязательно

Comparison results for each treatment run against the baseline.

method string обязательно

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum обязательно

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult обязательно

Insights from the cluster analysis.

summary InsightSummary обязательно

Summary of the error cluster analysis.

sampleCount integer обязательно

Total number of samples analyzed.

uniqueSubclusterCount integer обязательно

Total number of unique subcluster labels.

uniqueClusterCount integer обязательно

Total number of unique clusters.

method string обязательно

Method used for clustering.

usage ClusterTokenUsage обязательно

Token usage for cluster analysis

inputTokenUsage integer обязательно

input token usage

outputTokenUsage integer обязательно

output token usage

totalTokenUsage integer обязательно

total token usage

clusters InsightCluster[] обязательно

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer обязательно

X-axis coordinate.

y integer обязательно

Y-axis coordinate.

size integer обязательно

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum обязательно

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult обязательно

Insights from the cluster analysis.

summary InsightSummary обязательно

Summary of the error cluster analysis.

sampleCount integer обязательно

Total number of samples analyzed.

uniqueSubclusterCount integer обязательно

Total number of unique subcluster labels.

uniqueClusterCount integer обязательно

Total number of unique clusters.

method string обязательно

Method used for clustering.

usage ClusterTokenUsage обязательно

Token usage for cluster analysis

inputTokenUsage integer обязательно

input token usage

outputTokenUsage integer обязательно

output token usage

totalTokenUsage integer обязательно

total token usage

clusters InsightCluster[] обязательно

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer обязательно

X-axis coordinate.

y integer обязательно

Y-axis coordinate.

size integer обязательно

Size of the chart element.

tags object

Schedule's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
systemData object обязательно

System metadata for the resource.

[key: string] string

Client error

Заголовки

x-ms-error-code string

String error code indicating what went wrong.

Текст

Content-Type: application/json
error Azure.Core.Foundations.Error обязательно

The error object.

code string обязательно

One of a server-defined set of error codes.

message string обязательно

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Заголовки

x-ms-error-code string

String error code indicating what went wrong.

Текст

Content-Type: application/json
error Azure.Core.Foundations.Error обязательно

The error object.

code string обязательно

One of a server-defined set of error codes.

message string обязательно

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Запрос

GET /schedules/{id} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
ru-ru
Ваши варианты выбора параметров конфиденциальности
  • Заявление об отказе ИИ
  • Предыдущие версии
  • Блог
  • Участие в доработке
  • Конфиденциальность
  • Конфиденциальность медицинских данных потребителей
  • Условия использования
  • Товарные знаки
  • © Microsoft 2026